Skip to content

List all senders in project
GA

Request

Returns a paginated list of senders for the specified project. If no page token is supplied then the first 50 will be returned.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

Query
pageTokenstring

The page token if retrieving the next page from a previous query.

pageSizenumber, [ 1 .. 100 ]

The page size requested.

filterStatesArray of strings(KakaotalkSenderStatesEnum)

Optionally query for sender by states.

Items Enum:"ACTIVE""BLOCKED""INACTIVE""SUSPENDED""VERIFYING"
filterStatusesArray of strings(KakaotalkSenderStatusesEnum)

Optionally query for sender by statuses.

Items Enum:"DRAFT""IN_PROGRESS""REJECTED"
curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders?pageToken=string&pageSize=1&filterStates=ACTIVE&filterStatuses=DRAFT' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List of senders

Bodyapplication/json
totalSizenumberrequired

Total size of the entries matching the search query.

pageSizenumberrequired

Requested size of the page.

sendersArray of objects(KakaotalkSenderDto)required

List of senders.

previousPageTokenstring

Encoded token to use in list request to fetch previous batch of entries.

nextPageTokenstring

Encoded token to use in list request to fetch next batch of entries.

Response

Response with senders.

{ "totalSize": 2, "pageSize": 50, "senders": [ { … }, { … } ] }
We'd love to hear from you!
Rate this content: